Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.expression
Class TypedValue

    java.lang.Object
      org.springframework.expression.TypedValue

Direct Known Subclasses:
  BooleanTypedValue

    public class TypedValue

extends Object

Encapsulates an object and a type descriptor that describes it. The type descriptor can hold generic information that would not be accessible through a simple `getClass()` call on the object.

Since:
  3.0
Author:
  Andy Clement, Juergen Hoeller

Field Summary
`static TypedValue` | `NULL`

Constructor Summary
`TypedValue(Object value)` Create a TypedValue for a simple object.
`TypedValue(Object value, TypeDescriptor typeDescriptor)` Create a TypedValue for a particular value with a particular type descriptor.

Method Summary
`TypeDescriptor` | `getTypeDescriptor()`
`Object` | `getValue()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NULL

    public static final TypedValue NULL

Constructor Detail

### TypedValue

    public TypedValue(Object value)

  Create a TypedValue for a simple object. The type descriptor is inferred from the object, so no generic information is preserved.

  Parameters:
    `value` - the object value

### TypedValue

    public TypedValue(Object value,
                      TypeDescriptor typeDescriptor)

  Create a TypedValue for a particular value with a particular type descriptor.

  Parameters:
    `value` - the object value
    `typeDescriptor` - a type descriptor describing the type of the value

Method Detail

### getValue

    public Object getValue()

### getTypeDescriptor

    public TypeDescriptor getTypeDescriptor()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD